> For the complete documentation index, see [llms.txt](https://help.enterprise.ledger.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://help.enterprise.ledger.com/api-documentation-v2/reference/account.md).

# Account

## GET /accounts

> List accounts

```json
{"openapi":"3.1.0","info":{"title":"revault-api","version":"1.86.0"},"servers":[{"url":"/rest"}],"security":[{"Authorization":[]}],"components":{"securitySchemes":{"Authorization":{"type":"http","scheme":"bearer"}},"schemas":{"error.BAD_REQUEST":{"type":"object","properties":{"message":{"type":"string","description":"The error message"},"code":{"type":"string","description":"The error code"},"issues":{"description":"An array of issues that were responsible for the error","type":"array","items":{"type":"object","properties":{"message":{"type":"string"}},"required":["message"],"additionalProperties":false}}},"required":["message","code"],"additionalProperties":false,"title":"Invalid input data error (400)","description":"The error information"},"error.UNAUTHORIZED":{"type":"object","properties":{"message":{"type":"string","description":"The error message"},"code":{"type":"string","description":"The error code"},"issues":{"description":"An array of issues that were responsible for the error","type":"array","items":{"type":"object","properties":{"message":{"type":"string"}},"required":["message"],"additionalProperties":false}}},"required":["message","code"],"additionalProperties":false,"title":"Authorization not provided error (401)","description":"The error information"},"error.FORBIDDEN":{"type":"object","properties":{"message":{"type":"string","description":"The error message"},"code":{"type":"string","description":"The error code"},"issues":{"description":"An array of issues that were responsible for the error","type":"array","items":{"type":"object","properties":{"message":{"type":"string"}},"required":["message"],"additionalProperties":false}}},"required":["message","code"],"additionalProperties":false,"title":"Insufficient access error (403)","description":"The error information"},"error.NOT_FOUND":{"type":"object","properties":{"message":{"type":"string","description":"The error message"},"code":{"type":"string","description":"The error code"},"issues":{"description":"An array of issues that were responsible for the error","type":"array","items":{"type":"object","properties":{"message":{"type":"string"}},"required":["message"],"additionalProperties":false}}},"required":["message","code"],"additionalProperties":false,"title":"Not found error (404)","description":"The error information"},"error.INTERNAL_SERVER_ERROR":{"type":"object","properties":{"message":{"type":"string","description":"The error message"},"code":{"type":"string","description":"The error code"},"issues":{"description":"An array of issues that were responsible for the error","type":"array","items":{"type":"object","properties":{"message":{"type":"string"}},"required":["message"],"additionalProperties":false}}},"required":["message","code"],"additionalProperties":false,"title":"Internal server error error (500)","description":"The error information"}}},"paths":{"/accounts":{"get":{"operationId":"accounts-list","summary":"List accounts","tags":["account"],"parameters":[{"in":"query","name":"page","schema":{"default":1,"description":"Which page to fetch","type":"integer","minimum":1,"maximum":9007199254740991}},{"in":"query","name":"pageSize","schema":{"default":30,"description":"Page size to use","type":"integer","minimum":1,"maximum":30}},{"in":"query","name":"status","schema":{"type":"string","enum":["ACTIVE","INACTIVE"],"description":"Account status"}},{"in":"query","name":"name","schema":{"type":"string","description":"Search by matching name"}},{"in":"query","name":"governanceType","schema":{"type":"string","enum":["CLASSIC","TRADELINK","RAW_SIGNING"],"description":"Account governance type"}},{"in":"query","name":"allowedAction","schema":{"type":"string","enum":["SEND","DEPLOY_CONTRACT","EXECUTE_CONTRACT","ACTIVATE_TOKEN","RECEIVE","STAKE","SIGN_MESSAGE","SIGN_DIGESTS"],"description":"Filter accounts by allowed action for current user"}},{"in":"query","name":"sortBy","schema":{"default":"createdAt","description":"Sort by attribute","type":"string","enum":["name","currency","index","createdAt","updatedAt"]}},{"in":"query","name":"sortOrder","schema":{"default":"asc","description":"Sort order","type":"string","enum":["asc","desc"]}},{"in":"query","name":"currency","schema":{"anyOf":[{"type":"string"},{"type":"array","items":{"type":"string"}}],"description":"Deprecated: use `assets` instead. Filter accounts by currencies","deprecated":true}},{"in":"query","name":"index","schema":{"type":"number","description":"Filter accounts by account index"}},{"in":"query","name":"contractAddress","schema":{"anyOf":[{"type":"string","description":"Deprecated: use `assets` instead. Filter accounts by token contract address","deprecated":true},{"type":"null"}]}},{"in":"query","name":"support","schema":{"type":"string","enum":["standalone","legacy"],"description":"Filter accounts by support"}},{"in":"query","name":"type","schema":{"type":"string","enum":["BITCOIN_LIKE","CANTON_LIKE","CARDANO_LIKE","ETHEREUM_LIKE","GENERIC_LIKE","HEDERA_LIKE","POLKADOT_LIKE","RAW_SIGNING","RIPPLE_LIKE","SOLANA_LIKE","STELLAR_LIKE","SUI_LIKE","TEZOS_LIKE","TRON_LIKE"],"description":"Filter accounts by type"}},{"in":"query","name":"policyIds","schema":{"type":"array","items":{"type":"string"},"description":"Filter accounts by policies"}},{"in":"query","name":"whitelistIds","schema":{"type":"array","items":{"type":"string"},"description":"Filter accounts whose policy references any of these whitelists. Tradelink accounts are never matched: they are governed by an asset manager, not a policy."}},{"in":"query","name":"entityIds","schema":{"type":"array","items":{"type":"string"},"description":"Filter accounts by entities"}},{"in":"query","name":"portfolioIds","schema":{"type":"array","items":{"type":"string"},"description":"Filter accounts by portfolios"}},{"in":"query","name":"userIds","schema":{"type":"array","items":{"type":"string"},"description":"Filter accounts involving these users (direct or via group membership). ORed with groupIds."}},{"in":"query","name":"groupIds","schema":{"type":"array","items":{"type":"string"},"description":"Filter accounts involving these groups. ORed with userIds."}},{"in":"query","name":"assets","schema":{"type":"array","items":{"type":"object","properties":{"network":{"type":"string","description":"Filter accounts by network"},"contractAddress":{"description":"Filter accounts by token contract address","anyOf":[{"type":"string"},{"type":"null"}]}},"required":["network"]}}}],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"type":"object","properties":{"page":{"type":"number","description":"Current page"},"next":{"anyOf":[{"type":"number"},{"type":"null"}],"description":"Next page or null if there is none"},"prev":{"anyOf":[{"type":"number"},{"type":"null"}],"description":"Previous page or null if there is none"},"pageSize":{"type":"number","description":"Max count of items per page"},"total":{"type":"number","description":"Total count of items"},"results":{"type":"array","items":{"type":"object","properties":{"id":{"type":"string","description":"Internal unique identifier"},"legacyId":{"type":"number","description":"Legacy internal unique identifier (for retro-compatibility)"},"name":{"type":"string","description":"Account name"},"currency":{"type":"string","minLength":1,"maxLength":40,"pattern":"^\\w+$","description":"Will be deprecated soon, use network instead. Currency"},"network":{"type":"string","minLength":1,"maxLength":40,"pattern":"^\\w+$","description":"Network identifier"},"contractAddress":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Token contract address for Token account"},"tokenIdentifier":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Token identifier for Token account"},"index":{"type":"number","minimum":0,"description":"BIP44 account index"},"derivationPath":{"type":"string","description":"Derivation path"},"status":{"type":"string","enum":["ACTIVE","INACTIVE"],"description":"Status"},"createdAt":{"description":"Creation timestamp","type":"string"},"updatedAt":{"description":"Last modification timestamp","type":"string"},"asset":{"oneOf":[{"type":"object","properties":{"type":{"type":"string","const":"RAW_SIGNING","description":"Account type"}},"required":["type"],"additionalProperties":false,"description":"Raw signing account"},{"type":"object","properties":{"type":{"type":"string","const":"BITCOIN_LIKE","description":"Account type"},"xpub":{"type":"string","description":"xpub (extended public key)"},"addressDerivationMode":{"type":"string","enum":["NEW","STATIC"],"description":"Bitcoin address derivation mode"}},"required":["type","xpub","addressDerivationMode"],"additionalProperties":false,"description":"Bitcoin-like"},{"type":"object","properties":{"type":{"type":"string","const":"CANTON_LIKE","description":"Account type"},"address":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Account address"}},"required":["type","address"],"additionalProperties":false,"description":"Canton-like"},{"type":"object","properties":{"type":{"type":"string","const":"CARDANO_LIKE","description":"Account type"},"address":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Account address"}},"required":["type","address"],"additionalProperties":false,"description":"Cardano-like"},{"type":"object","properties":{"type":{"type":"string","const":"ETHEREUM_LIKE","description":"Account type"},"address":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Account address"}},"required":["type","address"],"additionalProperties":false,"description":"Ethereum-like"},{"type":"object","properties":{"type":{"type":"string","const":"GENERIC_LIKE","description":"Account type"}},"required":["type"],"additionalProperties":false,"description":"Generic-like"},{"type":"object","properties":{"type":{"type":"string","const":"HEDERA_LIKE","description":"Account type"},"address":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Account address"},"isActivated":{"type":"boolean","description":"Indicates if the account is activated"}},"required":["type","address","isActivated"],"additionalProperties":false,"description":"Hedera-like"},{"type":"object","properties":{"type":{"type":"string","const":"POLKADOT_LIKE","description":"Account type"},"address":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Account address"}},"required":["type","address"],"additionalProperties":false,"description":"Polkadot-like"},{"type":"object","properties":{"type":{"type":"string","const":"RIPPLE_LIKE","description":"Account type"},"address":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Account address"}},"required":["type","address"],"additionalProperties":false,"description":"Ripple-like"},{"type":"object","properties":{"type":{"type":"string","const":"SOLANA_LIKE","description":"Account type"},"address":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Account address"}},"required":["type","address"],"additionalProperties":false,"description":"Solana-like"},{"type":"object","properties":{"type":{"type":"string","const":"STELLAR_LIKE","description":"Account type"},"address":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Account address"}},"required":["type","address"],"additionalProperties":false,"description":"Stellar-like"},{"type":"object","properties":{"type":{"type":"string","const":"SUI_LIKE","description":"Account type"},"address":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Account address"}},"required":["type","address"],"additionalProperties":false,"description":"Sui-like"},{"type":"object","properties":{"type":{"type":"string","const":"TEZOS_LIKE","description":"Account type"},"address":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Account address"}},"required":["type","address"],"additionalProperties":false,"description":"Tezos-like"},{"type":"object","properties":{"type":{"type":"string","const":"TRON_LIKE","description":"Account type"},"address":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Account address"}},"required":["type","address"],"additionalProperties":false,"description":"Tron-like"}],"description":"Account asset fields","type":"object"},"governance":{"oneOf":[{"type":"object","properties":{"type":{"type":"string","const":"CLASSIC","description":"Classic account governance"},"policyId":{"type":"string","description":"Identifier of corresponding governance policy"}},"required":["type","policyId"],"additionalProperties":false,"description":"Classic"},{"type":"object","properties":{"type":{"type":"string","const":"RAW_SIGNING","description":"Raw signing account governance"},"policyId":{"type":"string","description":"Identifier of corresponding governance policy"}},"required":["type","policyId"],"additionalProperties":false,"description":"Raw Signing"},{"type":"object","properties":{"type":{"type":"string","const":"TRADELINK","description":"Tradelink account governance"},"assetManagerId":{"type":"string","description":"Identifier of corresponding asset manager"},"exchangeConfigs":{"type":"array","items":{"type":"object","properties":{"exchangeId":{"type":"string","description":"Tradelink exchange id"},"repledgeAuthorized":{"type":"boolean","description":"Determines whether this exchange is authorized to repledge on this account"},"needsAssetManagerApprovalForSettlements":{"type":"boolean","description":"Determines whether asset manager will \"pre-approve\" the settlement requests on this account"}},"required":["exchangeId","repledgeAuthorized","needsAssetManagerApprovalForSettlements"],"additionalProperties":false},"description":"Tradelink exchange configurations"}},"required":["type","assetManagerId","exchangeConfigs"],"additionalProperties":false,"description":"Tradelink"}],"description":"Governance fields","type":"object"}},"required":["id","legacyId","name","currency","network","contractAddress","tokenIdentifier","index","derivationPath","status","createdAt","updatedAt","asset","governance"],"additionalProperties":false},"description":"Array of results"}},"required":["page","next","prev","pageSize","total","results"],"additionalProperties":false}}}},"400":{"description":"Invalid input data","content":{"application/json":{"schema":{"$ref":"#/components/schemas/error.BAD_REQUEST"}}}},"401":{"description":"Authorization not provided","content":{"application/json":{"schema":{"$ref":"#/components/schemas/error.UNAUTHORIZED"}}}},"403":{"description":"Insufficient access","content":{"application/json":{"schema":{"$ref":"#/components/schemas/error.FORBIDDEN"}}}},"404":{"description":"Not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/error.NOT_FOUND"}}}},"500":{"description":"Internal server error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/error.INTERNAL_SERVER_ERROR"}}}}}}}}}
```

## GET /accounts/{id}

> Get a single account

```json
{"openapi":"3.1.0","info":{"title":"revault-api","version":"1.86.0"},"servers":[{"url":"/rest"}],"security":[{"Authorization":[]}],"components":{"securitySchemes":{"Authorization":{"type":"http","scheme":"bearer"}},"schemas":{"error.BAD_REQUEST":{"type":"object","properties":{"message":{"type":"string","description":"The error message"},"code":{"type":"string","description":"The error code"},"issues":{"description":"An array of issues that were responsible for the error","type":"array","items":{"type":"object","properties":{"message":{"type":"string"}},"required":["message"],"additionalProperties":false}}},"required":["message","code"],"additionalProperties":false,"title":"Invalid input data error (400)","description":"The error information"},"error.UNAUTHORIZED":{"type":"object","properties":{"message":{"type":"string","description":"The error message"},"code":{"type":"string","description":"The error code"},"issues":{"description":"An array of issues that were responsible for the error","type":"array","items":{"type":"object","properties":{"message":{"type":"string"}},"required":["message"],"additionalProperties":false}}},"required":["message","code"],"additionalProperties":false,"title":"Authorization not provided error (401)","description":"The error information"},"error.FORBIDDEN":{"type":"object","properties":{"message":{"type":"string","description":"The error message"},"code":{"type":"string","description":"The error code"},"issues":{"description":"An array of issues that were responsible for the error","type":"array","items":{"type":"object","properties":{"message":{"type":"string"}},"required":["message"],"additionalProperties":false}}},"required":["message","code"],"additionalProperties":false,"title":"Insufficient access error (403)","description":"The error information"},"error.NOT_FOUND":{"type":"object","properties":{"message":{"type":"string","description":"The error message"},"code":{"type":"string","description":"The error code"},"issues":{"description":"An array of issues that were responsible for the error","type":"array","items":{"type":"object","properties":{"message":{"type":"string"}},"required":["message"],"additionalProperties":false}}},"required":["message","code"],"additionalProperties":false,"title":"Not found error (404)","description":"The error information"},"error.INTERNAL_SERVER_ERROR":{"type":"object","properties":{"message":{"type":"string","description":"The error message"},"code":{"type":"string","description":"The error code"},"issues":{"description":"An array of issues that were responsible for the error","type":"array","items":{"type":"object","properties":{"message":{"type":"string"}},"required":["message"],"additionalProperties":false}}},"required":["message","code"],"additionalProperties":false,"title":"Internal server error error (500)","description":"The error information"}}},"paths":{"/accounts/{id}":{"get":{"operationId":"accounts-findById","summary":"Get a single account","tags":["account"],"parameters":[{"in":"path","name":"id","schema":{"type":"string","description":"Id of the target account"},"required":true,"description":"Id of the target account"}],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"type":"object","properties":{"id":{"type":"string","description":"Internal unique identifier"},"legacyId":{"type":"number","description":"Legacy internal unique identifier (for retro-compatibility)"},"name":{"type":"string","description":"Account name"},"currency":{"type":"string","minLength":1,"maxLength":40,"pattern":"^\\w+$","description":"Will be deprecated soon, use network instead. Currency"},"network":{"type":"string","minLength":1,"maxLength":40,"pattern":"^\\w+$","description":"Network identifier"},"contractAddress":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Token contract address for Token account"},"tokenIdentifier":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Token identifier for Token account"},"index":{"type":"number","minimum":0,"description":"BIP44 account index"},"derivationPath":{"type":"string","description":"Derivation path"},"status":{"type":"string","enum":["ACTIVE","INACTIVE"],"description":"Status"},"createdAt":{"description":"Creation timestamp","type":"string"},"updatedAt":{"description":"Last modification timestamp","type":"string"},"asset":{"oneOf":[{"type":"object","properties":{"type":{"type":"string","const":"RAW_SIGNING","description":"Account type"}},"required":["type"],"additionalProperties":false,"description":"Raw signing account"},{"type":"object","properties":{"type":{"type":"string","const":"BITCOIN_LIKE","description":"Account type"},"xpub":{"type":"string","description":"xpub (extended public key)"},"addressDerivationMode":{"type":"string","enum":["NEW","STATIC"],"description":"Bitcoin address derivation mode"}},"required":["type","xpub","addressDerivationMode"],"additionalProperties":false,"description":"Bitcoin-like"},{"type":"object","properties":{"type":{"type":"string","const":"CANTON_LIKE","description":"Account type"},"address":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Account address"}},"required":["type","address"],"additionalProperties":false,"description":"Canton-like"},{"type":"object","properties":{"type":{"type":"string","const":"CARDANO_LIKE","description":"Account type"},"address":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Account address"}},"required":["type","address"],"additionalProperties":false,"description":"Cardano-like"},{"type":"object","properties":{"type":{"type":"string","const":"ETHEREUM_LIKE","description":"Account type"},"address":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Account address"}},"required":["type","address"],"additionalProperties":false,"description":"Ethereum-like"},{"type":"object","properties":{"type":{"type":"string","const":"GENERIC_LIKE","description":"Account type"}},"required":["type"],"additionalProperties":false,"description":"Generic-like"},{"type":"object","properties":{"type":{"type":"string","const":"HEDERA_LIKE","description":"Account type"},"address":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Account address"},"isActivated":{"type":"boolean","description":"Indicates if the account is activated"}},"required":["type","address","isActivated"],"additionalProperties":false,"description":"Hedera-like"},{"type":"object","properties":{"type":{"type":"string","const":"POLKADOT_LIKE","description":"Account type"},"address":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Account address"}},"required":["type","address"],"additionalProperties":false,"description":"Polkadot-like"},{"type":"object","properties":{"type":{"type":"string","const":"RIPPLE_LIKE","description":"Account type"},"address":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Account address"}},"required":["type","address"],"additionalProperties":false,"description":"Ripple-like"},{"type":"object","properties":{"type":{"type":"string","const":"SOLANA_LIKE","description":"Account type"},"address":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Account address"}},"required":["type","address"],"additionalProperties":false,"description":"Solana-like"},{"type":"object","properties":{"type":{"type":"string","const":"STELLAR_LIKE","description":"Account type"},"address":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Account address"}},"required":["type","address"],"additionalProperties":false,"description":"Stellar-like"},{"type":"object","properties":{"type":{"type":"string","const":"SUI_LIKE","description":"Account type"},"address":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Account address"}},"required":["type","address"],"additionalProperties":false,"description":"Sui-like"},{"type":"object","properties":{"type":{"type":"string","const":"TEZOS_LIKE","description":"Account type"},"address":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Account address"}},"required":["type","address"],"additionalProperties":false,"description":"Tezos-like"},{"type":"object","properties":{"type":{"type":"string","const":"TRON_LIKE","description":"Account type"},"address":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Account address"}},"required":["type","address"],"additionalProperties":false,"description":"Tron-like"}],"description":"Account asset fields","type":"object"},"governance":{"oneOf":[{"type":"object","properties":{"type":{"type":"string","const":"CLASSIC","description":"Classic account governance"},"policyId":{"type":"string","description":"Identifier of corresponding governance policy"}},"required":["type","policyId"],"additionalProperties":false,"description":"Classic"},{"type":"object","properties":{"type":{"type":"string","const":"RAW_SIGNING","description":"Raw signing account governance"},"policyId":{"type":"string","description":"Identifier of corresponding governance policy"}},"required":["type","policyId"],"additionalProperties":false,"description":"Raw Signing"},{"type":"object","properties":{"type":{"type":"string","const":"TRADELINK","description":"Tradelink account governance"},"assetManagerId":{"type":"string","description":"Identifier of corresponding asset manager"},"exchangeConfigs":{"type":"array","items":{"type":"object","properties":{"exchangeId":{"type":"string","description":"Tradelink exchange id"},"repledgeAuthorized":{"type":"boolean","description":"Determines whether this exchange is authorized to repledge on this account"},"needsAssetManagerApprovalForSettlements":{"type":"boolean","description":"Determines whether asset manager will \"pre-approve\" the settlement requests on this account"}},"required":["exchangeId","repledgeAuthorized","needsAssetManagerApprovalForSettlements"],"additionalProperties":false},"description":"Tradelink exchange configurations"}},"required":["type","assetManagerId","exchangeConfigs"],"additionalProperties":false,"description":"Tradelink"}],"description":"Governance fields","type":"object"}},"required":["id","legacyId","name","currency","network","contractAddress","tokenIdentifier","index","derivationPath","status","createdAt","updatedAt","asset","governance"],"additionalProperties":false}}}},"400":{"description":"Invalid input data","content":{"application/json":{"schema":{"$ref":"#/components/schemas/error.BAD_REQUEST"}}}},"401":{"description":"Authorization not provided","content":{"application/json":{"schema":{"$ref":"#/components/schemas/error.UNAUTHORIZED"}}}},"403":{"description":"Insufficient access","content":{"application/json":{"schema":{"$ref":"#/components/schemas/error.FORBIDDEN"}}}},"404":{"description":"Not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/error.NOT_FOUND"}}}},"500":{"description":"Internal server error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/error.INTERNAL_SERVER_ERROR"}}}}}}}}}
```

## Get the allowed actions of an account

> Return all operation types the account is governed to perform, derived from its governance rules.

```json
{"openapi":"3.1.0","info":{"title":"revault-api","version":"1.86.0"},"servers":[{"url":"/rest"}],"security":[{"Authorization":[]}],"components":{"securitySchemes":{"Authorization":{"type":"http","scheme":"bearer"}},"schemas":{"error.BAD_REQUEST":{"type":"object","properties":{"message":{"type":"string","description":"The error message"},"code":{"type":"string","description":"The error code"},"issues":{"description":"An array of issues that were responsible for the error","type":"array","items":{"type":"object","properties":{"message":{"type":"string"}},"required":["message"],"additionalProperties":false}}},"required":["message","code"],"additionalProperties":false,"title":"Invalid input data error (400)","description":"The error information"},"error.UNAUTHORIZED":{"type":"object","properties":{"message":{"type":"string","description":"The error message"},"code":{"type":"string","description":"The error code"},"issues":{"description":"An array of issues that were responsible for the error","type":"array","items":{"type":"object","properties":{"message":{"type":"string"}},"required":["message"],"additionalProperties":false}}},"required":["message","code"],"additionalProperties":false,"title":"Authorization not provided error (401)","description":"The error information"},"error.FORBIDDEN":{"type":"object","properties":{"message":{"type":"string","description":"The error message"},"code":{"type":"string","description":"The error code"},"issues":{"description":"An array of issues that were responsible for the error","type":"array","items":{"type":"object","properties":{"message":{"type":"string"}},"required":["message"],"additionalProperties":false}}},"required":["message","code"],"additionalProperties":false,"title":"Insufficient access error (403)","description":"The error information"},"error.NOT_FOUND":{"type":"object","properties":{"message":{"type":"string","description":"The error message"},"code":{"type":"string","description":"The error code"},"issues":{"description":"An array of issues that were responsible for the error","type":"array","items":{"type":"object","properties":{"message":{"type":"string"}},"required":["message"],"additionalProperties":false}}},"required":["message","code"],"additionalProperties":false,"title":"Not found error (404)","description":"The error information"},"error.INTERNAL_SERVER_ERROR":{"type":"object","properties":{"message":{"type":"string","description":"The error message"},"code":{"type":"string","description":"The error code"},"issues":{"description":"An array of issues that were responsible for the error","type":"array","items":{"type":"object","properties":{"message":{"type":"string"}},"required":["message"],"additionalProperties":false}}},"required":["message","code"],"additionalProperties":false,"title":"Internal server error error (500)","description":"The error information"}}},"paths":{"/accounts/{id}/allowed-actions":{"get":{"operationId":"accounts-getAllowedActions","summary":"Get the allowed actions of an account","description":"Return all operation types the account is governed to perform, derived from its governance rules.","tags":["account"],"parameters":[{"in":"path","name":"id","schema":{"type":"string","description":"Id of the target account"},"required":true,"description":"Id of the target account"}],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"type":"object","properties":{"allowedActions":{"type":"array","items":{"type":"string","enum":["SEND","DEPLOY_CONTRACT","EXECUTE_CONTRACT","ACTIVATE_TOKEN","RECEIVE","STAKE","SIGN_MESSAGE","SIGN_DIGESTS"]},"description":"Operation types the account is governed to perform"}},"required":["allowedActions"],"additionalProperties":false}}}},"400":{"description":"Invalid input data","content":{"application/json":{"schema":{"$ref":"#/components/schemas/error.BAD_REQUEST"}}}},"401":{"description":"Authorization not provided","content":{"application/json":{"schema":{"$ref":"#/components/schemas/error.UNAUTHORIZED"}}}},"403":{"description":"Insufficient access","content":{"application/json":{"schema":{"$ref":"#/components/schemas/error.FORBIDDEN"}}}},"404":{"description":"Not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/error.NOT_FOUND"}}}},"500":{"description":"Internal server error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/error.INTERNAL_SERVER_ERROR"}}}}}}}}}
```

## GET /accounts/{id}/pledges

> List account Tradelink pledges

```json
{"openapi":"3.1.0","info":{"title":"revault-api","version":"1.86.0"},"servers":[{"url":"/rest"}],"security":[{"Authorization":[]}],"components":{"securitySchemes":{"Authorization":{"type":"http","scheme":"bearer"}},"schemas":{"PledgeResponse":{"type":"object","properties":{"tradelinkId":{"type":"string","description":"Unique identifier in Tradelink service"},"asset":{"type":"object","properties":{"name":{"type":"string","description":"Asset name"},"magnitude":{"type":"integer","minimum":0,"maximum":9007199254740991,"description":"Decimal places (e.g. 18 for ETH)"}},"required":["name","magnitude"],"additionalProperties":false},"state":{"type":"string","enum":["PLEDGE_READY","PLEDGE_INCREMENT_PENDING_APPROVAL","PLEDGE_APPROVED","PLEDGE_REJECTED","UNPLEDGE_PENDING_APPROVAL","UNPLEDGE_APPROVED","UNPLEDGE_REJECTED","REPLEDGE_PENDING_APPROVAL","REPLEDGE_APPROVED","REPLEDGE_REJECTED","ASSIGNED_TO_SETTLEMENT","OUTBOUND_TRANSACTION_CONFIRMED","OUTBOUND_TRANSACTION_FAILED","RECOVERING_FROM_FAILURE","PLEDGE_CONSUMED"],"description":"Current lifecycle state of the pledge"},"isLocked":{"type":"boolean","description":"Whether the pledge is locked and cannot be adjusted"},"amount":{"type":"string","description":"Currently pledged amount"},"pending":{"type":"string","description":"Requested pledge increment, not yet approved"},"repledge":{"type":"string","description":"Approved re-pledge amount awaiting settlement"},"exchangeTradelinkId":{"type":"string","description":"Tradelink ID of the exchange holding this pledge"},"accountId":{"type":"string","description":"Revault account ID linked to this pledge"}},"required":["tradelinkId","asset","state","isLocked","amount","pending","repledge","exchangeTradelinkId","accountId"],"additionalProperties":false,"description":"Pledge"},"error.BAD_REQUEST":{"type":"object","properties":{"message":{"type":"string","description":"The error message"},"code":{"type":"string","description":"The error code"},"issues":{"description":"An array of issues that were responsible for the error","type":"array","items":{"type":"object","properties":{"message":{"type":"string"}},"required":["message"],"additionalProperties":false}}},"required":["message","code"],"additionalProperties":false,"title":"Invalid input data error (400)","description":"The error information"},"error.UNAUTHORIZED":{"type":"object","properties":{"message":{"type":"string","description":"The error message"},"code":{"type":"string","description":"The error code"},"issues":{"description":"An array of issues that were responsible for the error","type":"array","items":{"type":"object","properties":{"message":{"type":"string"}},"required":["message"],"additionalProperties":false}}},"required":["message","code"],"additionalProperties":false,"title":"Authorization not provided error (401)","description":"The error information"},"error.FORBIDDEN":{"type":"object","properties":{"message":{"type":"string","description":"The error message"},"code":{"type":"string","description":"The error code"},"issues":{"description":"An array of issues that were responsible for the error","type":"array","items":{"type":"object","properties":{"message":{"type":"string"}},"required":["message"],"additionalProperties":false}}},"required":["message","code"],"additionalProperties":false,"title":"Insufficient access error (403)","description":"The error information"},"error.NOT_FOUND":{"type":"object","properties":{"message":{"type":"string","description":"The error message"},"code":{"type":"string","description":"The error code"},"issues":{"description":"An array of issues that were responsible for the error","type":"array","items":{"type":"object","properties":{"message":{"type":"string"}},"required":["message"],"additionalProperties":false}}},"required":["message","code"],"additionalProperties":false,"title":"Not found error (404)","description":"The error information"},"error.INTERNAL_SERVER_ERROR":{"type":"object","properties":{"message":{"type":"string","description":"The error message"},"code":{"type":"string","description":"The error code"},"issues":{"description":"An array of issues that were responsible for the error","type":"array","items":{"type":"object","properties":{"message":{"type":"string"}},"required":["message"],"additionalProperties":false}}},"required":["message","code"],"additionalProperties":false,"title":"Internal server error error (500)","description":"The error information"}}},"paths":{"/accounts/{id}/pledges":{"get":{"operationId":"accounts-listAccountPledges","summary":"List account Tradelink pledges","tags":["account","tradelink"],"parameters":[{"in":"path","name":"id","schema":{"type":"string","description":"Id of the target account"},"required":true,"description":"Id of the target account"},{"in":"query","name":"page","schema":{"default":1,"description":"Which page to fetch","type":"integer","minimum":1,"maximum":9007199254740991}},{"in":"query","name":"pageSize","schema":{"default":30,"description":"Page size to use","type":"integer","minimum":1,"maximum":30}}],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"type":"object","properties":{"page":{"type":"number","description":"Current page"},"next":{"anyOf":[{"type":"number"},{"type":"null"}],"description":"Next page or null if there is none"},"prev":{"anyOf":[{"type":"number"},{"type":"null"}],"description":"Previous page or null if there is none"},"pageSize":{"type":"number","description":"Max count of items per page"},"total":{"type":"number","description":"Total count of items"},"results":{"type":"array","items":{"$ref":"#/components/schemas/PledgeResponse"},"description":"Array of results"}},"required":["page","next","prev","pageSize","total","results"],"additionalProperties":false}}}},"400":{"description":"Invalid input data","content":{"application/json":{"schema":{"$ref":"#/components/schemas/error.BAD_REQUEST"}}}},"401":{"description":"Authorization not provided","content":{"application/json":{"schema":{"$ref":"#/components/schemas/error.UNAUTHORIZED"}}}},"403":{"description":"Insufficient access","content":{"application/json":{"schema":{"$ref":"#/components/schemas/error.FORBIDDEN"}}}},"404":{"description":"Not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/error.NOT_FOUND"}}}},"500":{"description":"Internal server error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/error.INTERNAL_SERVER_ERROR"}}}}}}}}}
```

## GET /accounts/{id}/utxos

> List UTXOs of a Bitcoin account

```json
{"openapi":"3.1.0","info":{"title":"revault-api","version":"1.86.0"},"servers":[{"url":"/rest"}],"security":[{"Authorization":[]}],"components":{"securitySchemes":{"Authorization":{"type":"http","scheme":"bearer"}},"schemas":{"error.BAD_REQUEST":{"type":"object","properties":{"message":{"type":"string","description":"The error message"},"code":{"type":"string","description":"The error code"},"issues":{"description":"An array of issues that were responsible for the error","type":"array","items":{"type":"object","properties":{"message":{"type":"string"}},"required":["message"],"additionalProperties":false}}},"required":["message","code"],"additionalProperties":false,"title":"Invalid input data error (400)","description":"The error information"},"error.UNAUTHORIZED":{"type":"object","properties":{"message":{"type":"string","description":"The error message"},"code":{"type":"string","description":"The error code"},"issues":{"description":"An array of issues that were responsible for the error","type":"array","items":{"type":"object","properties":{"message":{"type":"string"}},"required":["message"],"additionalProperties":false}}},"required":["message","code"],"additionalProperties":false,"title":"Authorization not provided error (401)","description":"The error information"},"error.FORBIDDEN":{"type":"object","properties":{"message":{"type":"string","description":"The error message"},"code":{"type":"string","description":"The error code"},"issues":{"description":"An array of issues that were responsible for the error","type":"array","items":{"type":"object","properties":{"message":{"type":"string"}},"required":["message"],"additionalProperties":false}}},"required":["message","code"],"additionalProperties":false,"title":"Insufficient access error (403)","description":"The error information"},"error.NOT_FOUND":{"type":"object","properties":{"message":{"type":"string","description":"The error message"},"code":{"type":"string","description":"The error code"},"issues":{"description":"An array of issues that were responsible for the error","type":"array","items":{"type":"object","properties":{"message":{"type":"string"}},"required":["message"],"additionalProperties":false}}},"required":["message","code"],"additionalProperties":false,"title":"Not found error (404)","description":"The error information"},"error.INTERNAL_SERVER_ERROR":{"type":"object","properties":{"message":{"type":"string","description":"The error message"},"code":{"type":"string","description":"The error code"},"issues":{"description":"An array of issues that were responsible for the error","type":"array","items":{"type":"object","properties":{"message":{"type":"string"}},"required":["message"],"additionalProperties":false}}},"required":["message","code"],"additionalProperties":false,"title":"Internal server error error (500)","description":"The error information"}}},"paths":{"/accounts/{id}/utxos":{"get":{"operationId":"accounts-getAccountUtxos","summary":"List UTXOs of a Bitcoin account","tags":["account"],"parameters":[{"in":"path","name":"id","schema":{"type":"string","description":"Id of the target account"},"required":true,"description":"Id of the target account"},{"in":"query","name":"cursor","schema":{"type":"string","description":"Optional cursor to get next pages (based on the `next` key on query response)"}},{"in":"query","name":"limit","schema":{"default":10,"type":"integer","minimum":1,"maximum":100}},{"in":"query","name":"sortBy","schema":{"type":"string","enum":["value","height"]}},{"in":"query","name":"sortOrder","schema":{"default":"desc","description":"Sort order","type":"string","enum":["asc","desc"]}},{"in":"query","name":"minHeight","schema":{"type":"integer","minimum":0,"maximum":9007199254740991}},{"in":"query","name":"maxHeight","schema":{"type":"integer","minimum":0,"maximum":9007199254740991}},{"in":"query","name":"minValue","schema":{"type":"integer","minimum":0,"maximum":9007199254740991}},{"in":"query","name":"maxValue","schema":{"type":"integer","minimum":0,"maximum":9007199254740991}}],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"type":"object","properties":{"next":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Next page cursor"},"results":{"type":"array","items":{"type":"object","properties":{"hash":{"type":"string","description":"Transaction hash of the UTXO"},"outputIndex":{"type":"integer","minimum":0,"maximum":9007199254740991,"description":"Output index within the transaction"},"address":{"type":"string","description":"Address holding the UTXO"},"amount":{"type":"string","description":"UTXO amount in satoshis"},"confirmations":{"type":"integer","minimum":0,"maximum":9007199254740991,"description":"Number of block confirmations"},"height":{"type":"integer","minimum":0,"maximum":9007199254740991,"description":"Block height of the UTXO"}},"required":["hash","outputIndex","address","amount","confirmations","height"],"additionalProperties":false,"description":"Bitcoin unspent transaction output"},"description":"Array of results"}},"required":["next","results"],"additionalProperties":false}}}},"400":{"description":"Invalid input data","content":{"application/json":{"schema":{"$ref":"#/components/schemas/error.BAD_REQUEST"}}}},"401":{"description":"Authorization not provided","content":{"application/json":{"schema":{"$ref":"#/components/schemas/error.UNAUTHORIZED"}}}},"403":{"description":"Insufficient access","content":{"application/json":{"schema":{"$ref":"#/components/schemas/error.FORBIDDEN"}}}},"404":{"description":"Not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/error.NOT_FOUND"}}}},"500":{"description":"Internal server error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/error.INTERNAL_SERVER_ERROR"}}}}}}}}}
```

## GET /accounts/{id}/transactions

> List account transactions

```json
{"openapi":"3.1.0","info":{"title":"revault-api","version":"1.86.0"},"servers":[{"url":"/rest"}],"security":[{"Authorization":[]}],"components":{"securitySchemes":{"Authorization":{"type":"http","scheme":"bearer"}},"schemas":{"error.BAD_REQUEST":{"type":"object","properties":{"message":{"type":"string","description":"The error message"},"code":{"type":"string","description":"The error code"},"issues":{"description":"An array of issues that were responsible for the error","type":"array","items":{"type":"object","properties":{"message":{"type":"string"}},"required":["message"],"additionalProperties":false}}},"required":["message","code"],"additionalProperties":false,"title":"Invalid input data error (400)","description":"The error information"},"error.UNAUTHORIZED":{"type":"object","properties":{"message":{"type":"string","description":"The error message"},"code":{"type":"string","description":"The error code"},"issues":{"description":"An array of issues that were responsible for the error","type":"array","items":{"type":"object","properties":{"message":{"type":"string"}},"required":["message"],"additionalProperties":false}}},"required":["message","code"],"additionalProperties":false,"title":"Authorization not provided error (401)","description":"The error information"},"error.FORBIDDEN":{"type":"object","properties":{"message":{"type":"string","description":"The error message"},"code":{"type":"string","description":"The error code"},"issues":{"description":"An array of issues that were responsible for the error","type":"array","items":{"type":"object","properties":{"message":{"type":"string"}},"required":["message"],"additionalProperties":false}}},"required":["message","code"],"additionalProperties":false,"title":"Insufficient access error (403)","description":"The error information"},"error.NOT_FOUND":{"type":"object","properties":{"message":{"type":"string","description":"The error message"},"code":{"type":"string","description":"The error code"},"issues":{"description":"An array of issues that were responsible for the error","type":"array","items":{"type":"object","properties":{"message":{"type":"string"}},"required":["message"],"additionalProperties":false}}},"required":["message","code"],"additionalProperties":false,"title":"Not found error (404)","description":"The error information"},"error.INTERNAL_SERVER_ERROR":{"type":"object","properties":{"message":{"type":"string","description":"The error message"},"code":{"type":"string","description":"The error code"},"issues":{"description":"An array of issues that were responsible for the error","type":"array","items":{"type":"object","properties":{"message":{"type":"string"}},"required":["message"],"additionalProperties":false}}},"required":["message","code"],"additionalProperties":false,"title":"Internal server error error (500)","description":"The error information"}}},"paths":{"/accounts/{id}/transactions":{"get":{"operationId":"accounts-listAccountTransactions","summary":"List account transactions","tags":["account"],"parameters":[{"in":"path","name":"id","schema":{"type":"string","description":"Id of the target account"},"required":true,"description":"Id of the target account"},{"in":"query","name":"cursor","schema":{"type":"string","description":"Optional cursor to get next pages (based on the `next` key on query response)"}}],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"type":"object","properties":{"next":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Next page cursor"},"results":{"type":"array","items":{"oneOf":[{"type":"object","properties":{"id":{"type":"string","description":"Internal unique identifier"},"hash":{"type":"string","description":"Transaction hash"},"block":{"type":"object","properties":{"height":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Transaction block height"},"time":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Transaction block time"}},"required":["height","time"],"additionalProperties":false},"status":{"type":"string","enum":["SUCCESSFUL","FAILED","PENDING","UNKNOWN"],"description":"Transaction status"},"confirmations":{"type":"string","description":"Block confirmations"},"amount":{"type":"string","description":"Transaction amount"},"fee":{"type":"string","description":"Transaction fee"},"senders":{"type":"array","items":{"type":"string"},"description":"Senders (can be multiple for UTXOs-based accounts)"},"recipients":{"type":"array","items":{"type":"string"},"description":"Recipients (can be multiple for multi-output transactions)"},"type":{"type":"string","enum":["BITCOIN_LIKE_SEND","BITCOIN_LIKE_RECEIVE"],"description":"Bitcoin-like transaction type"},"note":{"anyOf":[{"type":"object","properties":{"title":{"type":"string","description":"Note title"},"content":{"type":"string","description":"Note content"}},"required":["title","content"],"additionalProperties":false},{"type":"null"}],"description":"Optional transaction note"},"requestId":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Request ID associated with the transaction, if available"}},"required":["id","hash","block","status","confirmations","amount","fee","senders","recipients","type","note","requestId"],"additionalProperties":false},{"type":"object","properties":{"id":{"type":"string","description":"Internal unique identifier"},"hash":{"type":"string","description":"Transaction hash"},"block":{"type":"object","properties":{"height":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Transaction block height"},"time":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Transaction block time"}},"required":["height","time"],"additionalProperties":false},"status":{"type":"string","enum":["SUCCESSFUL","FAILED","PENDING","UNKNOWN"],"description":"Transaction status"},"confirmations":{"type":"string","description":"Block confirmations"},"amount":{"type":"string","description":"Transaction amount"},"fee":{"type":"string","description":"Transaction fee"},"senders":{"type":"array","items":{"type":"string"},"description":"Senders (can be multiple for UTXOs-based accounts)"},"recipients":{"type":"array","items":{"type":"string"},"description":"Recipients (can be multiple for multi-output transactions)"},"type":{"type":"string","enum":["CANTON_LIKE_SEND","CANTON_LIKE_SEND_TOKEN","CANTON_LIKE_WITHDRAW","CANTON_LIKE_RECEIVE","CANTON_LIKE_PRE_APPROVAL"],"description":"Canton-like transaction type"},"reason":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Optional reason attached to the onchain operation"},"note":{"anyOf":[{"type":"object","properties":{"title":{"type":"string","description":"Note title"},"content":{"type":"string","description":"Note content"}},"required":["title","content"],"additionalProperties":false},{"type":"null"}],"description":"Optional transaction note"},"requestId":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Request ID associated with the transaction, if available"}},"required":["id","hash","block","status","confirmations","amount","fee","senders","recipients","type","reason","note","requestId"],"additionalProperties":false},{"type":"object","properties":{"id":{"type":"string","description":"Internal unique identifier"},"hash":{"type":"string","description":"Transaction hash"},"block":{"type":"object","properties":{"height":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Transaction block height"},"time":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Transaction block time"}},"required":["height","time"],"additionalProperties":false},"status":{"type":"string","enum":["SUCCESSFUL","FAILED","PENDING","UNKNOWN"],"description":"Transaction status"},"confirmations":{"type":"string","description":"Block confirmations"},"amount":{"type":"string","description":"Transaction amount"},"fee":{"type":"string","description":"Transaction fee"},"senders":{"type":"array","items":{"type":"string"},"description":"Senders (can be multiple for UTXOs-based accounts)"},"recipients":{"type":"array","items":{"type":"string"},"description":"Recipients (can be multiple for multi-output transactions)"},"type":{"type":"string","enum":["CARDANO_LIKE_SEND","CARDANO_LIKE_RECEIVE","CARDANO_LIKE_STAKING_REGISTER","CARDANO_LIKE_STAKING_DEREGISTER","CARDANO_LIKE_STAKING_DELEGATE","CARDANO_LIKE_STAKING_WITHDRAW"],"description":"Cardano-like transaction type"},"note":{"anyOf":[{"type":"object","properties":{"title":{"type":"string","description":"Note title"},"content":{"type":"string","description":"Note content"}},"required":["title","content"],"additionalProperties":false},{"type":"null"}],"description":"Optional transaction note"},"requestId":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Request ID associated with the transaction, if available"}},"required":["id","hash","block","status","confirmations","amount","fee","senders","recipients","type","note","requestId"],"additionalProperties":false},{"type":"object","properties":{"id":{"type":"string","description":"Internal unique identifier"},"hash":{"type":"string","description":"Transaction hash"},"block":{"type":"object","properties":{"height":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Transaction block height"},"time":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Transaction block time"}},"required":["height","time"],"additionalProperties":false},"status":{"type":"string","enum":["SUCCESSFUL","FAILED","PENDING","UNKNOWN"],"description":"Transaction status"},"confirmations":{"type":"string","description":"Block confirmations"},"amount":{"type":"string","description":"Transaction amount"},"fee":{"type":"string","description":"Transaction fee"},"senders":{"type":"array","items":{"type":"string"},"description":"Senders (can be multiple for UTXOs-based accounts)"},"recipients":{"type":"array","items":{"type":"string"},"description":"Recipients (can be multiple for multi-output transactions)"},"type":{"type":"string","enum":["ETHEREUM_LIKE_SEND","ETHEREUM_LIKE_RECEIVE"],"description":"Ethereum-like transaction type"},"gasPrice":{"type":"string"},"gasLimit":{"type":"string"},"nonce":{"type":"string"},"note":{"anyOf":[{"type":"object","properties":{"title":{"type":"string","description":"Note title"},"content":{"type":"string","description":"Note content"}},"required":["title","content"],"additionalProperties":false},{"type":"null"}],"description":"Optional transaction note"},"requestId":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Request ID associated with the transaction, if available"}},"required":["id","hash","block","status","confirmations","amount","fee","senders","recipients","type","gasPrice","gasLimit","nonce","note","requestId"],"additionalProperties":false},{"type":"object","properties":{"id":{"type":"string","description":"Internal unique identifier"},"hash":{"type":"string","description":"Transaction hash"},"block":{"type":"object","properties":{"height":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Transaction block height"},"time":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Transaction block time"}},"required":["height","time"],"additionalProperties":false},"status":{"type":"string","enum":["SUCCESSFUL","FAILED","PENDING","UNKNOWN"],"description":"Transaction status"},"confirmations":{"type":"string","description":"Block confirmations"},"amount":{"type":"string","description":"Transaction amount"},"fee":{"type":"string","description":"Transaction fee"},"senders":{"type":"array","items":{"type":"string"},"description":"Senders (can be multiple for UTXOs-based accounts)"},"recipients":{"type":"array","items":{"type":"string"},"description":"Recipients (can be multiple for multi-output transactions)"},"type":{"type":"string","enum":["ETHEREUM_LIKE_EXECUTE_CONTRACT","ETHEREUM_LIKE_DEPLOY_CONTRACT"],"description":"Ethereum-like transaction type"},"gasPrice":{"type":"string"},"gasLimit":{"type":"string"},"nonce":{"type":"string"},"contractData":{"type":"string","description":"Contract deployment or contract execution data"},"note":{"anyOf":[{"type":"object","properties":{"title":{"type":"string","description":"Note title"},"content":{"type":"string","description":"Note content"}},"required":["title","content"],"additionalProperties":false},{"type":"null"}],"description":"Optional transaction note"},"requestId":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Request ID associated with the transaction, if available"}},"required":["id","hash","block","status","confirmations","amount","fee","senders","recipients","type","gasPrice","gasLimit","nonce","contractData","note","requestId"],"additionalProperties":false},{"type":"object","properties":{"id":{"type":"string","description":"Internal unique identifier"},"hash":{"type":"string","description":"Transaction hash"},"block":{"type":"object","properties":{"height":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Transaction block height"},"time":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Transaction block time"}},"required":["height","time"],"additionalProperties":false},"status":{"type":"string","enum":["SUCCESSFUL","FAILED","PENDING","UNKNOWN"],"description":"Transaction status"},"confirmations":{"type":"string","description":"Block confirmations"},"amount":{"type":"string","description":"Transaction amount"},"fee":{"type":"string","description":"Transaction fee"},"senders":{"type":"array","items":{"type":"string"},"description":"Senders (can be multiple for UTXOs-based accounts)"},"recipients":{"type":"array","items":{"type":"string"},"description":"Recipients (can be multiple for multi-output transactions)"},"type":{"type":"string","const":"ETHEREUM_LIKE_STAKE_DEPOSIT"},"gasPrice":{"type":"string"},"gasLimit":{"type":"string"},"nonce":{"type":"string"},"contractData":{"type":"string","description":"Contract deployment or contract execution data"},"validators":{"type":"array","items":{"type":"object","properties":{"validatorPubKey":{"description":"Validator public key","type":"string"},"stakingProvider":{"anyOf":[{"type":"string","minLength":1,"description":"Staking provider to use, as identified by the staking validators endpoint"},{"type":"null"}],"description":"Staking provider inferred from the validator public key, when known"},"withdrawalCredentials":{"description":"Validator withdrawal credentials","type":"string"},"withdrawalAddress":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Execution withdrawal address, when encoded by the credentials"},"signature":{"description":"BLS deposit signature","type":"string"},"depositDataRoot":{"description":"Beacon deposit data root","type":"string"},"amount":{"type":"string","minLength":1,"pattern":"^([1-9]\\d*|0)$","description":"Validator deposit amount in wei"}},"required":["validatorPubKey","stakingProvider","withdrawalCredentials","withdrawalAddress","signature","depositDataRoot","amount"],"additionalProperties":false}},"note":{"anyOf":[{"type":"object","properties":{"title":{"type":"string","description":"Note title"},"content":{"type":"string","description":"Note content"}},"required":["title","content"],"additionalProperties":false},{"type":"null"}],"description":"Optional transaction note"},"requestId":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Request ID associated with the transaction, if available"}},"required":["id","hash","block","status","confirmations","amount","fee","senders","recipients","type","gasPrice","gasLimit","nonce","contractData","validators","note","requestId"],"additionalProperties":false},{"type":"object","properties":{"id":{"type":"string","description":"Internal unique identifier"},"hash":{"type":"string","description":"Transaction hash"},"block":{"type":"object","properties":{"height":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Transaction block height"},"time":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Transaction block time"}},"required":["height","time"],"additionalProperties":false},"status":{"type":"string","enum":["SUCCESSFUL","FAILED","PENDING","UNKNOWN"],"description":"Transaction status"},"confirmations":{"type":"string","description":"Block confirmations"},"amount":{"type":"string","description":"Transaction amount"},"fee":{"type":"string","description":"Transaction fee"},"senders":{"type":"array","items":{"type":"string"},"description":"Senders (can be multiple for UTXOs-based accounts)"},"recipients":{"type":"array","items":{"type":"string"},"description":"Recipients (can be multiple for multi-output transactions)"},"type":{"type":"string","const":"ETHEREUM_LIKE_STAKE_TOP_UP"},"gasPrice":{"type":"string"},"gasLimit":{"type":"string"},"nonce":{"type":"string"},"contractData":{"type":"string","description":"Contract deployment or contract execution data"},"validators":{"type":"array","items":{"type":"object","properties":{"validatorPubKey":{"description":"Validator public key","type":"string"},"stakingProvider":{"anyOf":[{"type":"string","minLength":1,"description":"Staking provider to use, as identified by the staking validators endpoint"},{"type":"null"}],"description":"Staking provider inferred from the validator public key, when known"},"amount":{"type":"string","minLength":1,"pattern":"^([1-9]\\d*|0)$","description":"Validator top-up amount in wei"}},"required":["validatorPubKey","stakingProvider","amount"],"additionalProperties":false}},"note":{"anyOf":[{"type":"object","properties":{"title":{"type":"string","description":"Note title"},"content":{"type":"string","description":"Note content"}},"required":["title","content"],"additionalProperties":false},{"type":"null"}],"description":"Optional transaction note"},"requestId":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Request ID associated with the transaction, if available"}},"required":["id","hash","block","status","confirmations","amount","fee","senders","recipients","type","gasPrice","gasLimit","nonce","contractData","validators","note","requestId"],"additionalProperties":false},{"type":"object","properties":{"id":{"type":"string","description":"Internal unique identifier"},"hash":{"type":"string","description":"Transaction hash"},"block":{"type":"object","properties":{"height":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Transaction block height"},"time":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Transaction block time"}},"required":["height","time"],"additionalProperties":false},"status":{"type":"string","enum":["SUCCESSFUL","FAILED","PENDING","UNKNOWN"],"description":"Transaction status"},"confirmations":{"type":"string","description":"Block confirmations"},"amount":{"type":"string","description":"Transaction amount"},"fee":{"type":"string","description":"Transaction fee"},"senders":{"type":"array","items":{"type":"string"},"description":"Senders (can be multiple for UTXOs-based accounts)"},"recipients":{"type":"array","items":{"type":"string"},"description":"Recipients (can be multiple for multi-output transactions)"},"type":{"type":"string","const":"ETHEREUM_LIKE_STAKE_WITHDRAW"},"gasPrice":{"type":"string"},"gasLimit":{"type":"string"},"nonce":{"type":"string"},"contractData":{"type":"string","description":"Contract deployment or contract execution data"},"validatorPubKey":{"description":"Validator public key","type":"string"},"stakingProvider":{"anyOf":[{"type":"string","minLength":1,"description":"Staking provider to use, as identified by the staking validators endpoint"},{"type":"null"}],"description":"Staking provider inferred from the validator public key, when known"},"withdrawalAmount":{"type":"string","minLength":1,"pattern":"^([1-9]\\d*|0)$","description":"Requested withdrawal amount in wei"},"isFullExit":{"type":"boolean","description":"Whether the zero amount requests a full exit"},"executionFee":{"type":"string","minLength":1,"pattern":"^([1-9]\\d*|0)$","description":"EIP-7002 request fee in wei"},"note":{"anyOf":[{"type":"object","properties":{"title":{"type":"string","description":"Note title"},"content":{"type":"string","description":"Note content"}},"required":["title","content"],"additionalProperties":false},{"type":"null"}],"description":"Optional transaction note"},"requestId":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Request ID associated with the transaction, if available"}},"required":["id","hash","block","status","confirmations","amount","fee","senders","recipients","type","gasPrice","gasLimit","nonce","contractData","validatorPubKey","stakingProvider","withdrawalAmount","isFullExit","executionFee","note","requestId"],"additionalProperties":false},{"type":"object","properties":{"id":{"type":"string","description":"Internal unique identifier"},"hash":{"type":"string","description":"Transaction hash"},"block":{"type":"object","properties":{"height":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Transaction block height"},"time":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Transaction block time"}},"required":["height","time"],"additionalProperties":false},"status":{"type":"string","enum":["SUCCESSFUL","FAILED","PENDING","UNKNOWN"],"description":"Transaction status"},"confirmations":{"type":"string","description":"Block confirmations"},"amount":{"type":"string","description":"Transaction amount"},"fee":{"type":"string","description":"Transaction fee"},"senders":{"type":"array","items":{"type":"string"},"description":"Senders (can be multiple for UTXOs-based accounts)"},"recipients":{"type":"array","items":{"type":"string"},"description":"Recipients (can be multiple for multi-output transactions)"},"type":{"type":"string","const":"ETHEREUM_LIKE_STAKE_CONSOLIDATE"},"gasPrice":{"type":"string"},"gasLimit":{"type":"string"},"nonce":{"type":"string"},"contractData":{"type":"string","description":"Contract deployment or contract execution data"},"sourcePubKey":{"description":"Source validator public key","type":"string"},"sourceStakingProvider":{"anyOf":[{"type":"string","minLength":1,"description":"Staking provider to use, as identified by the staking validators endpoint"},{"type":"null"}],"description":"Staking provider inferred from the source validator public key, when known"},"targetPubKey":{"description":"Target validator public key","type":"string"},"targetStakingProvider":{"anyOf":[{"type":"string","minLength":1,"description":"Staking provider to use, as identified by the staking validators endpoint"},{"type":"null"}],"description":"Staking provider inferred from the target validator public key, when known"},"executionFee":{"type":"string","minLength":1,"pattern":"^([1-9]\\d*|0)$","description":"EIP-7251 request fee in wei"},"note":{"anyOf":[{"type":"object","properties":{"title":{"type":"string","description":"Note title"},"content":{"type":"string","description":"Note content"}},"required":["title","content"],"additionalProperties":false},{"type":"null"}],"description":"Optional transaction note"},"requestId":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Request ID associated with the transaction, if available"}},"required":["id","hash","block","status","confirmations","amount","fee","senders","recipients","type","gasPrice","gasLimit","nonce","contractData","sourcePubKey","sourceStakingProvider","targetPubKey","targetStakingProvider","executionFee","note","requestId"],"additionalProperties":false},{"type":"object","properties":{"id":{"type":"string","description":"Internal unique identifier"},"hash":{"type":"string","description":"Transaction hash"},"block":{"type":"object","properties":{"height":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Transaction block height"},"time":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Transaction block time"}},"required":["height","time"],"additionalProperties":false},"status":{"type":"string","enum":["SUCCESSFUL","FAILED","PENDING","UNKNOWN"],"description":"Transaction status"},"confirmations":{"type":"string","description":"Block confirmations"},"amount":{"type":"string","description":"Transaction amount"},"fee":{"type":"string","description":"Transaction fee"},"senders":{"type":"array","items":{"type":"string"},"description":"Senders (can be multiple for UTXOs-based accounts)"},"recipients":{"type":"array","items":{"type":"string"},"description":"Recipients (can be multiple for multi-output transactions)"},"type":{"type":"string","const":"ETHEREUM_LIKE_STAKE_UPGRADE"},"gasPrice":{"type":"string"},"gasLimit":{"type":"string"},"nonce":{"type":"string"},"contractData":{"type":"string","description":"Contract deployment or contract execution data"},"validatorPubKey":{"description":"Validator public key","type":"string"},"stakingProvider":{"anyOf":[{"type":"string","minLength":1,"description":"Staking provider to use, as identified by the staking validators endpoint"},{"type":"null"}],"description":"Staking provider inferred from the validator public key, when known"},"executionFee":{"type":"string","minLength":1,"pattern":"^([1-9]\\d*|0)$","description":"EIP-7251 request fee in wei"},"note":{"anyOf":[{"type":"object","properties":{"title":{"type":"string","description":"Note title"},"content":{"type":"string","description":"Note content"}},"required":["title","content"],"additionalProperties":false},{"type":"null"}],"description":"Optional transaction note"},"requestId":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Request ID associated with the transaction, if available"}},"required":["id","hash","block","status","confirmations","amount","fee","senders","recipients","type","gasPrice","gasLimit","nonce","contractData","validatorPubKey","stakingProvider","executionFee","note","requestId"],"additionalProperties":false},{"type":"object","properties":{"id":{"type":"string","description":"Internal unique identifier"},"hash":{"type":"string","description":"Transaction hash"},"block":{"type":"object","properties":{"height":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Transaction block height"},"time":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Transaction block time"}},"required":["height","time"],"additionalProperties":false},"status":{"type":"string","enum":["SUCCESSFUL","FAILED","PENDING","UNKNOWN"],"description":"Transaction status"},"confirmations":{"type":"string","description":"Block confirmations"},"amount":{"type":"string","description":"Transaction amount"},"fee":{"type":"string","description":"Transaction fee"},"senders":{"type":"array","items":{"type":"string"},"description":"Senders (can be multiple for UTXOs-based accounts)"},"recipients":{"type":"array","items":{"type":"string"},"description":"Recipients (can be multiple for multi-output transactions)"},"type":{"type":"string","enum":["GENERIC_TRANSACTION"],"description":"Generic transaction type"},"note":{"anyOf":[{"type":"object","properties":{"title":{"type":"string","description":"Note title"},"content":{"type":"string","description":"Note content"}},"required":["title","content"],"additionalProperties":false},{"type":"null"}],"description":"Optional transaction note"},"requestId":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Request ID associated with the transaction, if available"}},"required":["id","hash","block","status","confirmations","amount","fee","senders","recipients","type","note","requestId"],"additionalProperties":false},{"type":"object","properties":{"id":{"type":"string","description":"Internal unique identifier"},"hash":{"type":"string","description":"Transaction hash"},"block":{"type":"object","properties":{"height":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Transaction block height"},"time":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Transaction block time"}},"required":["height","time"],"additionalProperties":false},"status":{"type":"string","enum":["SUCCESSFUL","FAILED","PENDING","UNKNOWN"],"description":"Transaction status"},"confirmations":{"type":"string","description":"Block confirmations"},"amount":{"type":"string","description":"Transaction amount"},"fee":{"type":"string","description":"Transaction fee"},"senders":{"type":"array","items":{"type":"string"},"description":"Senders (can be multiple for UTXOs-based accounts)"},"recipients":{"type":"array","items":{"type":"string"},"description":"Recipients (can be multiple for multi-output transactions)"},"type":{"type":"string","enum":["HEDERA_LIKE_SEND","HEDERA_LIKE_RECEIVE","HEDERA_LIKE_SEND_TOKEN","HEDERA_LIKE_RECEIVE_TOKEN","HEDERA_LIKE_STAKE","HEDERA_LIKE_UNSTAKE"],"description":"Hedera-like transaction type"},"note":{"anyOf":[{"type":"object","properties":{"title":{"type":"string","description":"Note title"},"content":{"type":"string","description":"Note content"}},"required":["title","content"],"additionalProperties":false},{"type":"null"}],"description":"Optional transaction note"},"requestId":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Request ID associated with the transaction, if available"}},"required":["id","hash","block","status","confirmations","amount","fee","senders","recipients","type","note","requestId"],"additionalProperties":false},{"type":"object","properties":{"id":{"type":"string","description":"Internal unique identifier"},"hash":{"type":"string","description":"Transaction hash"},"block":{"type":"object","properties":{"height":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Transaction block height"},"time":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Transaction block time"}},"required":["height","time"],"additionalProperties":false},"status":{"type":"string","enum":["SUCCESSFUL","FAILED","PENDING","UNKNOWN"],"description":"Transaction status"},"confirmations":{"type":"string","description":"Block confirmations"},"amount":{"type":"string","description":"Transaction amount"},"fee":{"type":"string","description":"Transaction fee"},"senders":{"type":"array","items":{"type":"string"},"description":"Senders (can be multiple for UTXOs-based accounts)"},"recipients":{"type":"array","items":{"type":"string"},"description":"Recipients (can be multiple for multi-output transactions)"},"type":{"type":"string","enum":["POLKADOT_LIKE_SEND","POLKADOT_LIKE_RECEIVE","POLKADOT_LIKE_ADDPROXY","POLKADOT_LIKE_REMOVEPROXY","POLKADOT_LIKE_BOND","POLKADOT_LIKE_REBOND","POLKADOT_LIKE_BONDEXTRA","POLKADOT_LIKE_UNBOND","POLKADOT_LIKE_WITHDRAWUNBONDED","POLKADOT_LIKE_SETCONTROLLER","POLKADOT_LIKE_SETPAYEE","POLKADOT_LIKE_PROXY","POLKADOT_LIKE_ANONYMOUSPROXY","POLKADOT_LIKE_KILLANONYMOUS","POLKADOT_LIKE_PUREPROXY","POLKADOT_LIKE_KILLPURE","POLKADOT_LIKE_NOMINATE","POLKADOT_LIKE_REWARD","POLKADOT_LIKE_CHILL","POLKADOT_LIKE_TRANSFERALL"],"description":"Polkadot-like transaction type"},"note":{"anyOf":[{"type":"object","properties":{"title":{"type":"string","description":"Note title"},"content":{"type":"string","description":"Note content"}},"required":["title","content"],"additionalProperties":false},{"type":"null"}],"description":"Optional transaction note"},"requestId":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Request ID associated with the transaction, if available"}},"required":["id","hash","block","status","confirmations","amount","fee","senders","recipients","type","note","requestId"],"additionalProperties":false},{"type":"object","properties":{"id":{"type":"string","description":"Internal unique identifier"},"hash":{"type":"string","description":"Transaction hash"},"block":{"type":"object","properties":{"height":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Transaction block height"},"time":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Transaction block time"}},"required":["height","time"],"additionalProperties":false},"status":{"type":"string","enum":["SUCCESSFUL","FAILED","PENDING","UNKNOWN"],"description":"Transaction status"},"confirmations":{"type":"string","description":"Block confirmations"},"amount":{"type":"string","description":"Transaction amount"},"fee":{"type":"string","description":"Transaction fee"},"senders":{"type":"array","items":{"type":"string"},"description":"Senders (can be multiple for UTXOs-based accounts)"},"recipients":{"type":"array","items":{"type":"string"},"description":"Recipients (can be multiple for multi-output transactions)"},"type":{"type":"string","enum":["RIPPLE_LIKE_SEND","RIPPLE_LIKE_RECEIVE"],"description":"Ripple-like transaction type"},"memos":{"type":"array","items":{"type":"string"}},"destinationTag":{"type":"string"},"note":{"anyOf":[{"type":"object","properties":{"title":{"type":"string","description":"Note title"},"content":{"type":"string","description":"Note content"}},"required":["title","content"],"additionalProperties":false},{"type":"null"}],"description":"Optional transaction note"},"requestId":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Request ID associated with the transaction, if available"}},"required":["id","hash","block","status","confirmations","amount","fee","senders","recipients","type","memos","destinationTag","note","requestId"],"additionalProperties":false},{"type":"object","properties":{"id":{"type":"string","description":"Internal unique identifier"},"hash":{"type":"string","description":"Transaction hash"},"block":{"type":"object","properties":{"height":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Transaction block height"},"time":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Transaction block time"}},"required":["height","time"],"additionalProperties":false},"status":{"type":"string","enum":["SUCCESSFUL","FAILED","PENDING","UNKNOWN"],"description":"Transaction status"},"confirmations":{"type":"string","description":"Block confirmations"},"amount":{"type":"string","description":"Transaction amount"},"fee":{"type":"string","description":"Transaction fee"},"senders":{"type":"array","items":{"type":"string"},"description":"Senders (can be multiple for UTXOs-based accounts)"},"recipients":{"type":"array","items":{"type":"string"},"description":"Recipients (can be multiple for multi-output transactions)"},"type":{"type":"string","enum":["SOLANA_LIKE_SEND","SOLANA_LIKE_RECEIVE","SOLANA_LIKE_CREATE_DELEGATE_STAKE","SOLANA_LIKE_DELEGATE_STAKE","SOLANA_LIKE_WITHDRAW_STAKE","SOLANA_LIKE_DEACTIVATE_STAKE","SOLANA_LIKE_SPLIT_STAKE","SOLANA_LIKE_SPLIT_DEACTIVATE_STAKE","SOLANA_LIKE_MERGE_STAKE","SOLANA_LIKE_SEND_TOKEN","SOLANA_LIKE_FUND_AND_SEND_TOKEN","SOLANA_LIKE_CREATE_SPL_TOKEN_ACCOUNT"],"description":"Solana-like transaction type"},"note":{"anyOf":[{"type":"object","properties":{"title":{"type":"string","description":"Note title"},"content":{"type":"string","description":"Note content"}},"required":["title","content"],"additionalProperties":false},{"type":"null"}],"description":"Optional transaction note"},"requestId":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Request ID associated with the transaction, if available"}},"required":["id","hash","block","status","confirmations","amount","fee","senders","recipients","type","note","requestId"],"additionalProperties":false},{"type":"object","properties":{"id":{"type":"string","description":"Internal unique identifier"},"hash":{"type":"string","description":"Transaction hash"},"block":{"type":"object","properties":{"height":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Transaction block height"},"time":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Transaction block time"}},"required":["height","time"],"additionalProperties":false},"status":{"type":"string","enum":["SUCCESSFUL","FAILED","PENDING","UNKNOWN"],"description":"Transaction status"},"confirmations":{"type":"string","description":"Block confirmations"},"amount":{"type":"string","description":"Transaction amount"},"fee":{"type":"string","description":"Transaction fee"},"senders":{"type":"array","items":{"type":"string"},"description":"Senders (can be multiple for UTXOs-based accounts)"},"recipients":{"type":"array","items":{"type":"string"},"description":"Recipients (can be multiple for multi-output transactions)"},"type":{"type":"string","enum":["STELLAR_LIKE_SEND","STELLAR_LIKE_RECEIVE"],"description":"Stellar-like transaction type"},"memo":{"anyOf":[{"oneOf":[{"type":"object","properties":{"type":{"type":"string","const":"MEMO_TEXT"},"value":{"type":"string","maxLength":28,"description":"Text memo (at most 28 bytes)"}},"required":["type","value"],"additionalProperties":false,"description":"Text memo"},{"type":"object","properties":{"type":{"type":"string","const":"MEMO_ID"},"value":{"type":"string","minLength":1,"maxLength":20,"pattern":"^([1-9]\\d*|0)$","description":"Id memo (unsigned 64 bits integer)"}},"required":["type","value"],"additionalProperties":false,"description":"Id memo"},{"type":"object","properties":{"type":{"type":"string","const":"MEMO_HASH"},"value":{"type":"string","pattern":"^[a-fA-F0-9]{64}$","description":"Transaction hash memo (32 bytes, encoded as 64 hex chars)"}},"required":["type","value"],"additionalProperties":false,"description":"Hash memo"},{"type":"object","properties":{"type":{"type":"string","const":"MEMO_RETURN"},"value":{"type":"string","pattern":"^[a-fA-F0-9]{64}$","description":"Hash of the transaction the sender is refunding (32 bytes, encoded as 64 hex chars)."}},"required":["type","value"],"additionalProperties":false,"description":"Return memo"}],"type":"object"},{"type":"null"}],"description":"Stellar memo"},"note":{"anyOf":[{"type":"object","properties":{"title":{"type":"string","description":"Note title"},"content":{"type":"string","description":"Note content"}},"required":["title","content"],"additionalProperties":false},{"type":"null"}],"description":"Optional transaction note"},"requestId":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Request ID associated with the transaction, if available"}},"required":["id","hash","block","status","confirmations","amount","fee","senders","recipients","type","memo","note","requestId"],"additionalProperties":false},{"type":"object","properties":{"id":{"type":"string","description":"Internal unique identifier"},"hash":{"type":"string","description":"Transaction hash"},"block":{"type":"object","properties":{"height":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Transaction block height"},"time":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Transaction block time"}},"required":["height","time"],"additionalProperties":false},"status":{"type":"string","enum":["SUCCESSFUL","FAILED","PENDING","UNKNOWN"],"description":"Transaction status"},"confirmations":{"type":"string","description":"Block confirmations"},"amount":{"type":"string","description":"Transaction amount"},"fee":{"type":"string","description":"Transaction fee"},"senders":{"type":"array","items":{"type":"string"},"description":"Senders (can be multiple for UTXOs-based accounts)"},"recipients":{"type":"array","items":{"type":"string"},"description":"Recipients (can be multiple for multi-output transactions)"},"type":{"type":"string","enum":["SUI_LIKE_SEND","SUI_LIKE_RECEIVE","SUI_LIKE_SEND_TOKEN","SUI_LIKE_RECEIVE_TOKEN","SUI_LIKE_STAKE","SUI_LIKE_UNSTAKE"],"description":"Sui-like transaction type"},"note":{"anyOf":[{"type":"object","properties":{"title":{"type":"string","description":"Note title"},"content":{"type":"string","description":"Note content"}},"required":["title","content"],"additionalProperties":false},{"type":"null"}],"description":"Optional transaction note"},"requestId":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Request ID associated with the transaction, if available"}},"required":["id","hash","block","status","confirmations","amount","fee","senders","recipients","type","note","requestId"],"additionalProperties":false},{"type":"object","properties":{"id":{"type":"string","description":"Internal unique identifier"},"hash":{"type":"string","description":"Transaction hash"},"block":{"type":"object","properties":{"height":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Transaction block height"},"time":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Transaction block time"}},"required":["height","time"],"additionalProperties":false},"status":{"type":"string","enum":["SUCCESSFUL","FAILED","PENDING","UNKNOWN"],"description":"Transaction status"},"confirmations":{"type":"string","description":"Block confirmations"},"amount":{"type":"string","description":"Transaction amount"},"fee":{"type":"string","description":"Transaction fee"},"senders":{"type":"array","items":{"type":"string"},"description":"Senders (can be multiple for UTXOs-based accounts)"},"recipients":{"type":"array","items":{"type":"string"},"description":"Recipients (can be multiple for multi-output transactions)"},"type":{"type":"string","enum":["TEZOS_LIKE_SEND","TEZOS_LIKE_RECEIVE","TEZOS_LIKE_REVEAL","TEZOS_LIKE_DELEGATE","TEZOS_LIKE_UNDELEGATE"],"description":"Tezos-like transaction type"},"note":{"anyOf":[{"type":"object","properties":{"title":{"type":"string","description":"Note title"},"content":{"type":"string","description":"Note content"}},"required":["title","content"],"additionalProperties":false},{"type":"null"}],"description":"Optional transaction note"},"requestId":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Request ID associated with the transaction, if available"}},"required":["id","hash","block","status","confirmations","amount","fee","senders","recipients","type","note","requestId"],"additionalProperties":false},{"type":"object","properties":{"id":{"type":"string","description":"Internal unique identifier"},"hash":{"type":"string","description":"Transaction hash"},"block":{"type":"object","properties":{"height":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Transaction block height"},"time":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Transaction block time"}},"required":["height","time"],"additionalProperties":false},"status":{"type":"string","enum":["SUCCESSFUL","FAILED","PENDING","UNKNOWN"],"description":"Transaction status"},"confirmations":{"type":"string","description":"Block confirmations"},"amount":{"type":"string","description":"Transaction amount"},"fee":{"type":"string","description":"Transaction fee"},"senders":{"type":"array","items":{"type":"string"},"description":"Senders (can be multiple for UTXOs-based accounts)"},"recipients":{"type":"array","items":{"type":"string"},"description":"Recipients (can be multiple for multi-output transactions)"},"type":{"type":"string","enum":["TRON_LIKE_SEND","TRON_LIKE_RECEIVE","TRON_LIKE_SEND_TOKEN","TRON_LIKE_RECEIVE_TOKEN"],"description":"Tron-like transaction type"},"note":{"anyOf":[{"type":"object","properties":{"title":{"type":"string","description":"Note title"},"content":{"type":"string","description":"Note content"}},"required":["title","content"],"additionalProperties":false},{"type":"null"}],"description":"Optional transaction note"},"requestId":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Request ID associated with the transaction, if available"}},"required":["id","hash","block","status","confirmations","amount","fee","senders","recipients","type","note","requestId"],"additionalProperties":false}],"type":"object"},"description":"Array of results"}},"required":["next","results"],"additionalProperties":false}}}},"400":{"description":"Invalid input data","content":{"application/json":{"schema":{"$ref":"#/components/schemas/error.BAD_REQUEST"}}}},"401":{"description":"Authorization not provided","content":{"application/json":{"schema":{"$ref":"#/components/schemas/error.UNAUTHORIZED"}}}},"403":{"description":"Insufficient access","content":{"application/json":{"schema":{"$ref":"#/components/schemas/error.FORBIDDEN"}}}},"404":{"description":"Not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/error.NOT_FOUND"}}}},"500":{"description":"Internal server error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/error.INTERNAL_SERVER_ERROR"}}}}}}}}}
```

## POST /accounts/{id}/estimate-fees

> Estimate transaction fees

```json
{"openapi":"3.1.0","info":{"title":"revault-api","version":"1.86.0"},"servers":[{"url":"/rest"}],"security":[{"Authorization":[]}],"components":{"securitySchemes":{"Authorization":{"type":"http","scheme":"bearer"}},"schemas":{"BitcoinLikeSendData":{"type":"object","properties":{"amount":{"type":"string","minLength":1,"pattern":"^([1-9]\\d*|0)$","description":"Transaction amount"},"currency":{"type":"string","minLength":1,"maxLength":40,"pattern":"^\\w+$","description":"Will be deprecated soon, use Account.network. Transaction currency"},"maxFee":{"anyOf":[{"type":"string","minLength":1,"pattern":"^([1-9]\\d*|0)$"},{"type":"null"}],"description":"Transaction max fee"},"recipient":{"type":"string","minLength":1,"description":"Transaction recipient"},"replacingTxHash":{"description":"Hash of the original transaction to replace. If provided, the new transaction will replace the one matching this hash (Replace-By-Fee).","type":"string"},"replacementReason":{"description":"Reason for the replacement: `boost` (speed-up) or `cancel`. Reporting label only; what the replacement pays is driven by `recipient` and `amount`.","type":"string","enum":["boost","cancel"]},"type":{"type":"string","const":"BITCOIN_LIKE_SEND"},"feeStrategy":{"type":"object","properties":{"type":{"type":"string","enum":["SLOW","NORMAL","FAST","CUSTOM"]},"feePerByte":{"description":"Fee per byte","anyOf":[{"type":"string","minLength":1,"pattern":"^([1-9]\\d*|0)$"},{"type":"null"}]}},"required":["type"],"description":"Bitcoin-like fee strategy"}},"required":["amount","currency","maxFee","recipient","type","feeStrategy"],"description":"Bitcoin-like send data"},"CantonLikeSendData":{"type":"object","properties":{"amount":{"type":"string","minLength":1,"pattern":"^([1-9]\\d*|0)$","description":"Transaction amount"},"currency":{"type":"string","minLength":1,"maxLength":40,"pattern":"^\\w+$","description":"Will be deprecated soon, use Account.network. Transaction currency"},"recipient":{"type":"string","minLength":1,"description":"Transaction recipient"},"executeBeforeSeconds":{"description":"Execute before seconds","type":"integer","exclusiveMinimum":0,"maximum":9007199254740991},"reason":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Optional reason attached to the onchain operation"},"type":{"type":"string","const":"CANTON_LIKE_SEND"}},"required":["amount","currency","recipient","reason","type"],"description":"Canton-like send data"},"CantonLikeSendTokenData":{"type":"object","properties":{"amount":{"type":"string","minLength":1,"pattern":"^([1-9]\\d*|0)$","description":"Transaction amount"},"currency":{"type":"string","minLength":1,"maxLength":40,"pattern":"^\\w+$","description":"Will be deprecated soon, use Account.network. Transaction currency"},"recipient":{"type":"string","minLength":1,"description":"Transaction recipient"},"executeBeforeSeconds":{"description":"Execute before seconds","type":"integer","exclusiveMinimum":0,"maximum":9007199254740991},"reason":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Optional reason attached to the onchain operation"},"type":{"type":"string","const":"CANTON_LIKE_SEND_TOKEN"}},"required":["amount","currency","recipient","reason","type"],"description":"Canton-like send token data"},"CantonLikeWithdrawData":{"type":"object","properties":{"currency":{"type":"string","minLength":1,"maxLength":40,"pattern":"^\\w+$","description":"Will be deprecated soon, use Account.network. Transfer currency"},"transferProposal":{"$ref":"#/components/schemas/CantonTransferProposal"},"reason":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Reason of the verdict"},"type":{"type":"string","const":"CANTON_LIKE_WITHDRAW"}},"required":["currency","transferProposal","reason","type"],"description":"Canton-like withdraw data"},"CantonTransferProposal":{"type":"object","properties":{"amount":{"type":"string","minLength":1,"pattern":"^([1-9]\\d*|0)$","description":"Transfer amount"},"contractId":{"type":"string","description":"ID of the transfer-proposal contract"},"instrumentAdmin":{"type":"string","description":"Issuer of the instrument being transferred"},"instrumentId":{"type":"string","description":"ID of the instrument being transferred"},"expiresAtMicros":{"type":"integer","minimum":-9007199254740991,"maximum":9007199254740991,"description":"Expiration timestamp in microseconds"},"reason":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Optional reason attached to the transfer"},"sender":{"type":"string","description":"Party proposing to send the asset"},"recipient":{"type":"string","description":"Intended recipient of the proposed transfer"}},"required":["amount","contractId","instrumentAdmin","instrumentId","expiresAtMicros","reason","sender","recipient"],"description":"A pending asset-transfer request"},"CantonLikeReceiveData":{"type":"object","properties":{"currency":{"type":"string","minLength":1,"maxLength":40,"pattern":"^\\w+$","description":"Will be deprecated soon, use Account.network. Transfer currency"},"transferProposal":{"$ref":"#/components/schemas/CantonTransferProposal"},"verdict":{"type":"string","enum":["ACCEPT","REJECT"],"description":"Accept or reject the transfer"},"reason":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Reason of the verdict"},"type":{"type":"string","const":"CANTON_LIKE_RECEIVE"}},"required":["currency","transferProposal","verdict","reason","type"],"description":"Canton-like receive data"},"CantonLikePreApprovalData":{"type":"object","properties":{"currency":{"type":"string","minLength":1,"maxLength":40,"pattern":"^\\w+$","description":"Will be deprecated soon, use Account.network. Transaction currency"},"recipient":{"type":"string","minLength":1,"description":"Recipient party on which to enable pre-approval"},"type":{"type":"string","const":"CANTON_LIKE_PRE_APPROVAL"}},"required":["currency","recipient","type"],"description":"Canton-like pre-approval data"},"CardanoSendData":{"type":"object","properties":{"amount":{"type":"string","minLength":1,"pattern":"^([1-9]\\d*|0)$","description":"Transaction amount"},"currency":{"type":"string","minLength":1,"maxLength":40,"pattern":"^\\w+$","description":"Will be deprecated soon, use Account.network. Transaction currency"},"maxFee":{"anyOf":[{"type":"string","minLength":1,"pattern":"^([1-9]\\d*|0)$"},{"type":"null"}],"description":"Transaction max fee"},"recipient":{"type":"string","minLength":1,"description":"Transaction recipient"},"type":{"type":"string","const":"CARDANO_LIKE_SEND"},"feeStrategy":{"type":"object","properties":{"type":{"type":"string","enum":["SLOW","NORMAL","FAST"]}},"required":["type"],"description":"Cardano-like fee strategy"}},"required":["amount","currency","maxFee","recipient","type","feeStrategy"],"description":"Cardano-like send data"},"CardanoStakingDelegateData":{"type":"object","properties":{"type":{"type":"string","const":"CARDANO_LIKE_STAKING_DELEGATE"},"currency":{"type":"string","minLength":1,"maxLength":40,"pattern":"^\\w+$","description":"Transaction currency"},"maxFee":{"anyOf":[{"type":"string","minLength":1,"pattern":"^([1-9]\\d*|0)$"},{"type":"null"}],"description":"Transaction max fee"},"feeStrategy":{"type":"object","properties":{"type":{"type":"string","enum":["SLOW","NORMAL","FAST"]}},"required":["type"],"description":"Cardano-like fee strategy"},"stakePoolId":{"type":"string","minLength":1,"maxLength":100,"description":"Stake pool ID to delegate to"}},"required":["type","currency","maxFee","feeStrategy","stakePoolId"],"description":"Cardano-like staking delegate"},"CardanoStakingDeregisterData":{"type":"object","properties":{"type":{"type":"string","const":"CARDANO_LIKE_STAKING_DEREGISTER"},"currency":{"type":"string","minLength":1,"maxLength":40,"pattern":"^\\w+$","description":"Transaction currency"},"maxFee":{"anyOf":[{"type":"string","minLength":1,"pattern":"^([1-9]\\d*|0)$"},{"type":"null"}],"description":"Transaction max fee"},"feeStrategy":{"type":"object","properties":{"type":{"type":"string","enum":["SLOW","NORMAL","FAST"]}},"required":["type"],"description":"Cardano-like fee strategy"},"amount":{"type":"string","minLength":1,"pattern":"^([1-9]\\d*|0)$","description":"Amount to deregister"}},"required":["type","currency","maxFee","feeStrategy","amount"],"description":"Cardano-like staking deregister data"},"CardanoStakingRegisterData":{"type":"object","properties":{"type":{"type":"string","const":"CARDANO_LIKE_STAKING_REGISTER"},"currency":{"type":"string","minLength":1,"maxLength":40,"pattern":"^\\w+$","description":"Transaction currency"},"maxFee":{"anyOf":[{"type":"string","minLength":1,"pattern":"^([1-9]\\d*|0)$"},{"type":"null"}],"description":"Transaction max fee"},"feeStrategy":{"type":"object","properties":{"type":{"type":"string","enum":["SLOW","NORMAL","FAST"]}},"required":["type"],"description":"Cardano-like fee strategy"},"amount":{"type":"string","minLength":1,"pattern":"^([1-9]\\d*|0)$","description":"Amount to register"}},"required":["type","currency","maxFee","feeStrategy","amount"],"description":"Cardano-like staking register data"},"CardanoStakingWithdrawData":{"type":"object","properties":{"type":{"type":"string","const":"CARDANO_LIKE_STAKING_WITHDRAW"},"currency":{"type":"string","minLength":1,"maxLength":40,"pattern":"^\\w+$","description":"Transaction currency"},"maxFee":{"anyOf":[{"type":"string","minLength":1,"pattern":"^([1-9]\\d*|0)$"},{"type":"null"}],"description":"Transaction max fee"},"feeStrategy":{"type":"object","properties":{"type":{"type":"string","enum":["SLOW","NORMAL","FAST"]}},"required":["type"],"description":"Cardano-like fee strategy"},"amount":{"type":"string","minLength":1,"pattern":"^([1-9]\\d*|0)$","description":"Amount to withdraw"}},"required":["type","currency","maxFee","feeStrategy","amount"],"description":"Cardano-like staking withdraw data"},"EthereumLikeDeployContractData":{"type":"object","properties":{"amount":{"type":"string","minLength":1,"pattern":"^([1-9]\\d*|0)$","description":"Transaction amount"},"currency":{"type":"string","minLength":1,"maxLength":40,"pattern":"^\\w+$","description":"Will be deprecated soon, use Account.network. Transaction currency"},"maxFee":{"anyOf":[{"type":"string","minLength":1,"pattern":"^([1-9]\\d*|0)$"},{"type":"null"}],"description":"Transaction max fee"},"recipient":{"type":"string","const":""},"replacingTxHash":{"description":"Hash of the original transaction to replace. If provided, the new transaction will replace the one matching this hash.","type":"string"},"type":{"type":"string","const":"ETHEREUM_LIKE_DEPLOY_CONTRACT"},"contractData":{"description":"Contract data in hexadecimal format","type":"string","pattern":"^(?:0x|0X)?[a-fA-F0-9]+$"},"feeStrategy":{"$ref":"#/components/schemas/EthereumLikeFeeStrategy"}},"required":["amount","currency","maxFee","recipient","type","contractData","feeStrategy"],"description":"Ethereum-like deploy contract data"},"EthereumLikeFeeStrategy":{"anyOf":[{"type":"object","properties":{"type":{"type":"string","enum":["SLOW","NORMAL","FAST","CUSTOM"]},"gasPrice":{"type":"string","minLength":1,"pattern":"^([1-9]\\d*|0)$","description":"Gas price"},"gasLimit":{"type":"string","minLength":1,"pattern":"^([1-9]\\d*|0)$","description":"Gas limit"}},"required":["type","gasPrice","gasLimit"],"description":"Ethereum-like legacy fee strategy"},{"type":"object","properties":{"type":{"type":"string","enum":["SLOW","NORMAL","FAST","CUSTOM"]},"maxPriorityFeePerGas":{"type":"string","minLength":1,"pattern":"^([1-9]\\d*|0)$","description":"Maximum priority fee per gas"},"maxFeePerGas":{"type":"string","minLength":1,"pattern":"^([1-9]\\d*|0)$","description":"Maximum fee per gas (base + priority)"},"gasLimit":{"type":"string","minLength":1,"pattern":"^([1-9]\\d*|0)$","description":"Gas limit"}},"required":["type","maxPriorityFeePerGas","maxFeePerGas","gasLimit"],"description":"Ethereum-like EIP-1559 fee strategy"}],"description":"Ethereum-like fee strategy"},"EthereumLikeExecuteContractData":{"type":"object","properties":{"amount":{"type":"string","minLength":1,"pattern":"^([1-9]\\d*|0)$","description":"Transaction amount"},"currency":{"type":"string","minLength":1,"maxLength":40,"pattern":"^\\w+$","description":"Will be deprecated soon, use Account.network. Transaction currency"},"maxFee":{"anyOf":[{"type":"string","minLength":1,"pattern":"^([1-9]\\d*|0)$"},{"type":"null"}],"description":"Transaction max fee"},"recipient":{"type":"string","minLength":1,"description":"Transact
[...]
